com.ibm.openpages.api.trigger.events

## Class CreateResourceWithRelationsEvent

- java.lang.Object
- - com.ibm.openpages.api.trigger.events.AbstractEvent
  - - com.ibm.openpages.api.trigger.events.AbstractResourceEvent
    - - com.ibm.openpages.api.trigger.events.CreateResourceEvent
      - - com.ibm.openpages.api.trigger.events.CreateResourceWithRelationsEvent

-     public class CreateResourceWithRelationsEvent
      extends CreateResourceEvent

  Represents an event type for creating a resource object with parent or child relationships. This is a new event type in OpenPages 8.2 release. For the backward compatibility, the system still triggers CreateResourceEvent as well within the pre and post events of the CreateResourceWithRelationsEvent.
  Since:
    8.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateResourceWithRelationsEvent(IResource resource, TriggerPositionType position, Context context, Id[] additionalParents, Id[] children)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id[]` | `getAdditionalParents()`
    `Id[]` | `getChildren()`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.events.CreateResourceEvent

      `getCreatedResource`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.events.AbstractResourceEvent

      `getResource`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.events.AbstractEvent

      `getContext, getPosition, getTriggerEventType, hasOuterCreateWithRelationsEvent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateResourceWithRelationsEvent

          public CreateResourceWithRelationsEvent(IResource resource,
                                                  TriggerPositionType position,
                                                  Context context,
                                                  Id[] additionalParents,
                                                  Id[] children)

  - ### Method Detail

    - #### getAdditionalParents

          public Id[] getAdditionalParents()

    - #### getChildren

          public Id[] getChildren()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.